Bug 1534033 - gcc34 cannot create static executables
Summary: gcc34 cannot create static executables
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: compat-gcc-34
Version: 30
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-12 21:19 UTC by Philippe Troin
Modified: 2020-05-26 15:03 UTC (History)
1 user (show)

Fixed In Version: compat-gcc-34-3.4.6-46.fc27 compat-gcc-34-3.4.6-46.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 15:03:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Philippe Troin 2018-01-12 21:19:47 UTC
Description of problem:
gcc34 cannot create static executables

Version-Release number of selected component (if applicable):
compat-gcc-34-3.4.6-41.fc26.x86_64
(when ran on a Fedora 27 box)

How reproducible:
Always

Steps to Reproduce:
1. $ echo 'int main() { return 0; }' > test.c                                                            
2. $ $ gcc34 -static test.c 

Actual results:

/usr/lib/gcc/x86_64-redhat-linux/3.4.6/../../../../lib64/libc.a(printf_fp.o): In function `__printf_fp_l':
(.text+0x484): undefined reference to `__unordtf2'
(.text+0x4b5): undefined reference to `__unordtf2'
(.text+0x4d7): undefined reference to `__letf2'
/usr/lib/gcc/x86_64-redhat-linux/3.4.6/../../../../lib64/libc.a(printf_fphex.o): In function `__printf_fphex':
(.text+0x9e): undefined reference to `__unordtf2'
(.text+0xe0): undefined reference to `__unordtf2'
(.text+0x101): undefined reference to `__letf2'
collect2: ld returned 1 exit status

Expected results:
The program should compile.

Additional info:

Comment 1 Fedora Update System 2018-02-23 12:08:14 UTC
compat-gcc-34-3.4.6-46.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7b853bf34b

Comment 2 Fedora Update System 2018-02-23 12:08:36 UTC
compat-gcc-34-3.4.6-46.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-61e0f160ba

Comment 3 Fedora Update System 2018-02-23 16:27:52 UTC
compat-gcc-34-3.4.6-46.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-61e0f160ba

Comment 4 Fedora Update System 2018-02-23 16:58:29 UTC
compat-gcc-34-3.4.6-46.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7b853bf34b

Comment 5 Fedora Update System 2018-03-06 17:24:17 UTC
compat-gcc-34-3.4.6-46.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-03-06 17:30:05 UTC
compat-gcc-34-3.4.6-46.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Philippe Troin 2019-05-04 19:56:23 UTC
The exact same bug has reappeared on Fedora 29 & 30 (possibly earlier).
Reopening this bug.

Comment 8 Ben Cotton 2020-04-30 22:06:32 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2020-05-26 15:03:21 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.